<?php

namespace App\Entity\File;

use Doctrine\ORM\Mapping as ORM;
use Lc\SovBundle\Model\File\FileInterface;
use Lc\SovBundle\Model\File\FileModel;
use Lc\SovBundle\Repository\File\FileRepository;

/**
 * @ORM\Entity(repositoryClass=FileRepository::class)
 */
class File extends FileModel implements FileInterface
{
        /**
         * @ORM\Id
         * @ORM\GeneratedValue
         * @ORM\Column(type="integer")
         */
        private $id;

        public function getId(): ?int
        {
                return $this->id;
        }

        public function __toString()
        {
            return ''.$this->getLegend() ;
        }
}
